Search documentation of wx

# View Source wxCalendarEvent (wx v2.4.2)

Functions for wxCalendarEvent class

The `wxCalendarEvent` class is used together with `wxCalendarCtrl`.

See: `wxCalendarCtrl`

This class is derived (and can use functions) from: `wxDateEvent` `wxCommandEvent` `wxEvent`

wxWidgets docs: wxCalendarEvent

# Summary

## Types

wxCalendar()
wxCalendarEvent()
wxCalendarEventType()

## Functions

getDate(This)

Returns the date.

getWeekDay(This)

Returns the week day on which the user clicked in `EVT_CALENDAR_WEEKDAY_CLICKED` handler.

# Types

Link to this type

# wxCalendar()

View Source

    -type wxCalendar() ::
              #wxCalendar{type :: wxCalendarEvent:wxCalendarEventType(),
                          wday :: wx:wx_enum(),
                          date :: wx:wx_datetime()}.

Link to this type

# wxCalendarEvent()

View Source

    -type wxCalendarEvent() :: wx:wx_object().

Link to this type

# wxCalendarEventType()

View Source

    -type wxCalendarEventType() ::
              calendar_sel_changed | calendar_day_changed | calendar_month_changed | calendar_year_changed |
              calendar_doubleclicked | calendar_weekday_clicked.

# Functions

Link to this function

# getDate(This)

View Source

    -spec getDate(This) -> wx:wx_datetime() when This :: wxCalendarEvent().

Returns the date.

Link to this function

# getWeekDay(This)

View Source

    -spec getWeekDay(This) -> wx:wx_enum() when This :: wxCalendarEvent().

Returns the week day on which the user clicked in `EVT_CALENDAR_WEEKDAY_CLICKED` handler.

It doesn't make sense to call this function in other handlers.